package dev.fyloz.plannervio.core.repository

import dev.fyloz.plannervio.core.model.Board
import dev.fyloz.plannervio.core.model.Task

interface ITaskRepository {

    fun exists(board: Board, task: Task): Boolean

    fun findAll(board: Board): List<Task>

    fun save(board: Board, task: Task)

    fun delete(board: Board, task: Task)

}
